init:
    $ mods["empty_world_t"] =u"{font=atm/fnt/atm_ew.ttf}{color=#333333}{size=+22}EMPTY WORLD{/size}{/color}{/font}"


    #HEROES
    $ ew = Character(u'...', color="#afd400", what_color="e7c886",)

    $ dissolve4 = Dissolve(4)

    image ew_rain_l:
        contains:
            "ew_rain_c"
            rotate 10

    image ew_rain_r:
        contains:
            "ew_rain_c"
            rotate -10

    image ew_rain2_c:
        contains:
            "ew_rain_c"
        contains:
            "ew_rain_c"
            zoom 0.75

    image ew_rain2_l:
        contains:
            "ew_rain2_c"
            rotate 10

    image ew_rain2_r:
        contains:
            "ew_rain2_c"
            rotate -10


    image ew_rain_c:
        contains:
            "atm/image/logo/rain.png"
            xpos 0.5 ypos -1.0
        contains:
            "atm/image/logo/rain.png"
            xpos -0.5 ypos -1.0
        contains:
            "atm/image/logo/rain.png"
            xpos 0.5 ypos 0.0
        contains:
            "atm/image/logo/rain.png"
            xpos -0.5 ypos 0.0
        contains:
            "atm/image/logo/rain.png"
            xpos 0.5 ypos 1.0
        contains:
            "atm/image/logo/rain.png"
            xpos -0.5 ypos 1.0
        contains:
             "atm/image/logo/rain.png"
             xpos 0.5 ypos 2.0
        contains:
             "atm/image/logo/rain.png"
             xpos -0.5 ypos 2.0
        block:
            yanchor 1.0
            linear 0.3 yanchor 0.0
            repeat


    image ew_f_bg:
        contains:
            "atm/image/bg/ew_mm_f_bg_1.png"
        contains:
            "atm/image/bg/ew_mm_f_bg_1.png"
            alpha 0.0
            ease 2.6 alpha 1.0
            ease 2.6 alpha 0.0
            repeat



    image ew_rl:
        contains:
            choice:
                "ew_mm_rl_lg"
            choice:
                "ew_mm_rl_lr"
            choice:
                "ew_mm_rl_ln"
            pause 1.05
            repeat
        contains:
            choice:
                "ew_mm_rl_lg"
            choice:
                "ew_mm_rl_lr"
            choice:
                "ew_mm_rl_ln"
            alpha 0.25
            pause 1.05
            repeat
        contains:
            choice:
                "ew_mm_rl_lg"
            choice:
                "ew_mm_rl_lr"
            choice:
                "ew_mm_rl_ln"
            alpha 0.25
            pause 1.05
            repeat











    image bg ew_int_bg_1 = "atm/image/bg/ew_int_bg_1.png"
    image bg ew_int_bg_2 = "atm/image/bg/ew_int_bg_2.png"
    image bg ew_int_bg_3 = "atm/image/bg/ew_int_bg_3.png"
    image bg ew_int_bg_4 = "atm/image/bg/ew_int_bg_4.png"
    image bg ew_int_bg_5 = "atm/image/bg/ew_int_bg_5.png"
    image bg ew_bg = "atm/image/bg/ew_bg.png"
    image bg ew_mm_bg = "atm/image/bg/ew_mm_bg.png"
    image ew_mm_f_bg_1 = "atm/image/bg/ew_mm_f_bg_1.png"
    image ew_mm_f_bg_2 = "atm/image/bg/ew_mm_f_bg_2.png"



    image ew_mm_sky = "atm/image/spr/ew_mm_sky.png"
    image ew_mm_fog = "atm/image/spr/ew_mm_fog.png"
    image ew_mm_rl_ln = "atm/image/spr/ew_mm_rl_ln.png"
    image ew_mm_rl_lr = "atm/image/spr/ew_mm_rl_lr.png"
    image ew_mm_rl_lg = "atm/image/spr/ew_mm_rl_lg.png"
    image ew_l_1 = "atm/image/spr/ew_l_1.png"
    image ew_l_2 = "atm/image/spr/ew_l_2.png"
    image ew_l_3 = "atm/image/spr/ew_l_3.png"
    image ew_l_4 = "atm/image/spr/ew_l_4.png"
    image ew_l_5 = "atm/image/spr/ew_l_5.png"
    image ew_et = "atm/image/spr/ew_et.png"
    image ew_et2 = "atm/image/spr/ew_et2.png"


    $ ew_mt = "atm/snd/music/ew_mt.mp3"
    $ ew_mt2 = "atm/snd/music/ew_mt2.mp3"

    $ ew_rain = "atm/snd/amb/ew_rain.mp3"

    $ ew_creak = "atm/snd/sfx/ew_creak.wav"
    $ ew_creak2 = "atm/snd/sfx/ew_creak2.ogg"
    $ ew_noice = "atm/snd/sfx/ew_noice.mp3"
    $ ew_vine = "atm/snd/sfx/ew_vine.mp3"


label empty_world_t:
    scene black with fade3
    stop music fadeout 3
    stop ambience fadeout 3
    $ renpy.pause(3, hard=True)
    play sound ew_creak2
    scene bg ew_int_bg_1 with dissolve2
    $ renpy.pause(2, hard=True)
    play sound ew_creak
    scene bg ew_int_bg_2 with dissolve2
    stop sound fadeout 2
    $ renpy.pause(1, hard=True)
    play sound2 ew_noice
    $ renpy.pause(2, hard=True)
    scene bg ew_int_bg_3 with dissolve2
    $ renpy.pause(3, hard=True)
    play music ew_mt fadein 4
    $ renpy.pause(1, hard=True)
    play sound ew_vine
    scene bg ew_int_bg_4 with dissolve2
    $ renpy.pause(1, hard=True)
    stop sound fadeout 2
    $ renpy.pause(4, hard=True)
    scene bg ew_int_bg_5 with dissolve2
    $ renpy.pause(14, hard=True)
    scene black with fade3
    $ renpy.pause(1, hard=True)
    play ambience ew_rain fadein 4
    $ renpy.pause(3, hard=True)
    scene bg ew_mm_bg
    show ew_mm_sky:
        xanchor 0.5 xpos 1.5
        linear 40 xpos -0.5
    show ew_f_bg
    show ew_rl
    show ew_rain2_l
    show ew_mm_fog:
        xanchor 0.5 xpos 1.5
        linear 50 xpos -0.5
    with dissolve2
    $ renpy.pause(10, hard=True)
    call screen ewmenu with dissolve2
screen ewmenu:
    tag menu 
    modal True
    imagemap: 
        ground "atm/image/logo/ew_mhn.png" 
        hover  "atm/image/logo/ew_mhy.png"  
        alpha True

        hotspot (0, 363,  288, 59) clicked[Jump("ew_st")]     #m@d


label ew_st:
    stop music fadeout 3
    stop ambience fadeout 3
    scene black with fade3
    $ renpy.pause(6, hard=True)
    play music ew_mt2 fadein 3
    $ renpy.pause(4, hard=True)
    show ew_l_1 with dissolve4
    $ renpy.pause(0.2, hard=True)
    show ew_l_2 with dissolve4
    $ renpy.pause(0.2, hard=True)
    show ew_l_3 with dissolve4
    $ renpy.pause(0.2, hard=True)
    show ew_l_4 with dissolve4
    $ renpy.pause(0.2, hard=True)
    show ew_l_5 with dissolve4
    $ renpy.pause(0.2, hard=True)
    scene bg ew_bg with dissolve4
    $ renpy.pause(1.2, hard=True)
    scene black with dissolve4
    $ renpy.pause(2.2, hard=True)
    show ew_et with dissolve4
    $ renpy.pause(2.2, hard=True)
    show ew_et2 with dissolve2
    $ renpy.pause(3.2, hard=True)
    scene black with fade3
    $ renpy.pause(1.2, hard=True)
    stop music fadeout 3
    stop ambience fadeout 3
    $ renpy.pause(5.2, hard=True)
    return
    
    

# Android version created with ESTOOL-0.009 by Smalser
# More info there https://vk.com/topic-93304648_35130916